Qore Mapper Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Member Functions | Private Attributes | List of all members
Mapper::AbstractMapperIterator Class Reference

abstract base class for hash iterator mappping classes based on a mapper object and an iterator input source More...

Inheritance diagram for Mapper::AbstractMapperIterator:
[legend]

## Public Member Functions
| constructor (Qore::AbstractIterator i)
| creates the iterator from the arguments passed More...
bool | next ()
| Moves the current position of the input iterator to the next element; returns False if there are no more elements.
bool | valid ()
| returns True if the input iterator is currently pointing at a valid element, False if not

## Private Attributes
Qore::AbstractIterator | i
| input iterator; AbstractIterator::getValue() must return a hash

## Detailed Description

abstract base class for hash iterator mappping classes based on a mapper object and an iterator input source

## Member Function Documentation

Mapper::AbstractMapperIterator::constructor | ( | Qore::AbstractIterator | i | ) |

creates the iterator from the arguments passed

Parameters

  i | input iterator; AbstractIterator::getValue() must return a hash
  map | the mapper to transform the data